Package be.ehealth.businessconnector.genins.domain

# Class RequestParameters

java.lang.Object
be.ehealth.business.mycarenetdomaincommons.domain.Routing
be.ehealth.businessconnector.genins.domain.RequestParameters

All Implemented Interfaces:
  `Serializable`

public class RequestParameters extends Routing implements Serializable
RequestParameters pojo class.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInss()`
  `InsurabilityContactTypeType`
  `getInsurabilityContactType()`
  `String`
  `getInsurabilityReference()`
  `InsurabilityRequestTypeType`
  `getInsurabilityRequestType()`
  `String`
  `getMutuality()`
  `Instant`
  `getPeriodEnd()`
  `Instant`
  `getPeriodStart()`
  `String`
  `getRegNrWithMut()`
  `void`
  `setInss(String inss)`
  `void`
  `setInsurabilityContactType(InsurabilityContactTypeType insurabilityContactType)`
  `void`
  `setInsurabilityReference(String insurabilityReference)`
  `void`
  `setInsurabilityRequestType(InsurabilityRequestTypeType insurabilityRequestType)`
  `void`
  `setMutuality(String mutuality)`
  `void`
  `setPeriodEnd(Instant periodEnd)`
  `void`
  `setPeriodStart(Instant periodStart)`
  `void`
  `setRegNrWithMut(String regNrWithMut)`

  ### Methods inherited from class be.ehealth.business.mycarenetdomaincommons.domain.Routing

  `getCareReceiver, getPeriod, getReferenceDate, getSubject, setCareReceiver, setPeriod, setReferenceDate, setSubject`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestParameters

    public RequestParameters()

- ## Method Details

  - ### getInss

    public String getInss()
    Returns:
      the inss

  - ### getRegNrWithMut

    public String getRegNrWithMut()
    Returns:
      the regNrWithMut

  - ### getMutuality

    public String getMutuality()
    Returns:
      the mutuality

  - ### getInsurabilityRequestType

    public InsurabilityRequestTypeType getInsurabilityRequestType()
    Returns:
      the insurabilityRequestType

  - ### getPeriodStart

    public Instant getPeriodStart()
    Returns:
      the periodStart

  - ### getPeriodEnd

    public Instant getPeriodEnd()
    Returns:
      the periodEnd

  - ### getInsurabilityContactType

    public InsurabilityContactTypeType getInsurabilityContactType()
    Returns:
      the insurabilityContactType

  - ### getInsurabilityReference

    public String getInsurabilityReference()
    Returns:
      the insurabilityReference

  - ### setInss

    public void setInss(String inss)
    Parameters:
      `inss` - the inss to set

  - ### setRegNrWithMut

    public void setRegNrWithMut(String regNrWithMut)
    Parameters:
      `regNrWithMut` - the regNrWithMut to set

  - ### setMutuality

    public void setMutuality(String mutuality)
    Parameters:
      `mutuality` - the mutuality to set

  - ### setInsurabilityRequestType

    public void setInsurabilityRequestType(InsurabilityRequestTypeType insurabilityRequestType)
    Parameters:
      `insurabilityRequestType` - the insurabilityRequestType to set

  - ### setPeriodStart

    public void setPeriodStart(Instant periodStart)
    Parameters:
      `periodStart` - the periodStart to set

  - ### setPeriodEnd

    public void setPeriodEnd(Instant periodEnd)
    Parameters:
      `periodEnd` - the periodEnd to set

  - ### setInsurabilityContactType

    public void setInsurabilityContactType(InsurabilityContactTypeType insurabilityContactType)
    Parameters:
      `insurabilityContactType` - the insurabilityContactType to set

  - ### setInsurabilityReference

    public void setInsurabilityReference(String insurabilityReference)
    Parameters:
      `insurabilityReference` - the insurabilityReference to set